| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
Property Class Reference

`#include <Property.hpp>`

## Public Member Functions

| Property ()
| Property (const Property &property)
| Property (Property &&property)
| Property (const std::string &name, const std::string &value, bool propagate=false)
| Property (std::string &&name, std::string &&value, bool propagate=false)
Property & | operator= (const Property &property)
Property & | operator= (Property &&property)
bool | operator== (const Property &b) const
void | name (const std::string &name)
void | name (std::string &&name)
const std::string & | name () const
std::string & | name ()
void | value (const std::string &value)
void | value (std::string &&value)
const std::string & | value () const
std::string & | value ()
void | propagate (bool propagate)
bool | propagate () const
bool & | propagate ()

## Constructor & Destructor Documentation

## ◆ Property() [1/5]

Property | ( |  | ) |

inline

## ◆ Property() [2/5]

Property | ( | const Property & | property | ) |

inline

## ◆ Property() [3/5]

Property | ( | Property && | property | ) |

inline

## ◆ Property() [4/5]

Property | ( | const std::string & | name,
|  | const std::string & | value,
|  | bool | propagate = false )

inline

## ◆ Property() [5/5]

Property | ( | std::string && | name,
|  | std::string && | value,
|  | bool | propagate = false )

inline

## Member Function Documentation

## ◆ name() [1/4]

std::string & name | ( |  | ) |

inline

## ◆ name() [2/4]

const std::string & name | ( |  | ) | const

inline

## ◆ name() [3/4]

void name | ( | const std::string & | name | ) |

inline

## ◆ name() [4/4]

void name | ( | std::string && | name | ) |

inline

## ◆ operator=() [1/2]

Property & operator= | ( | const Property & | property | ) |

inline

## ◆ operator=() [2/2]

Property & operator= | ( | Property && | property | ) |

inline

## ◆ operator==()

bool operator== | ( | const Property & | b | ) | const

inline

## ◆ propagate() [1/3]

bool & propagate | ( |  | ) |

inline

## ◆ propagate() [2/3]

bool propagate | ( |  | ) | const

inline

## ◆ propagate() [3/3]

void propagate | ( | bool | propagate | ) |

inline

## ◆ value() [1/4]

std::string & value | ( |  | ) |

inline

## ◆ value() [2/4]

const std::string & value | ( |  | ) | const

inline

## ◆ value() [3/4]

void value | ( | const std::string & | value | ) |

inline

## ◆ value() [4/4]

void value | ( | std::string && | value | ) |

inline

The documentation for this class was generated from the following file:

- include/fastdds/rtps/common/Property.hpp